<section class="mb-16">
	<div ></div>

	<span [matTooltip]="checkAdd ? null: 'Добавление недоступно' ">
		<button mat-flat-button
			[disabled]=" !checkAdd "
			color="primary"
			(click)="add()"> Создать новое ИД </button>
	</span>


</section>
<app-loader *ngIf="isLoad"></app-loader>
<section>

	<div class="art-card">
		<table mat-table [dataSource]="achievements" matSort (matSortChange)="sortEvent.next($event)"
			[matSortActive]="params.sortby" [matSortDirection]="params.order">

			<ng-container class="column" matColumnDef="id">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="id"> ID </th>
				<td mat-cell *matCellDef="let item"> {{item.id}} </td>
			</ng-container>

			<ng-container class="column name" matColumnDef="name">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="name"> Наименование индивидуального достижения</th>
				<td mat-cell *matCellDef="let item"> {{item.name}} </td>
			</ng-container>

			<ng-container class="column name" matColumnDef="category_name">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="id_category"> Категория</th>
				<td mat-cell *matCellDef="let item"> {{item.category_name}} </td>
			</ng-container>

			<ng-container class="column name" matColumnDef="max_value">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="max_value"> Максимальный балл</th>
				<td mat-cell *matCellDef="let item"> {{item.max_value}} </td>
			</ng-container>

			<ng-container class="column" matColumnDef="uid">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="uid"> UID </th>
				<td mat-cell *matCellDef="let item"> {{item.uid}} </td>
			</ng-container>

			<ng-container class="column name" matColumnDef="action">
				<th mat-header-cell *matHeaderCellDef > </th>
				<td mat-cell *matCellDef="let item">
					<span [matTooltip]="checkEditRemove ? null : 'Радактирование недоступно' ">
						<button mat-icon-button
							[routerLink]="['../../achievement', item.id, 'edit']"
							(click)="$event.stopPropagation()"
							[disabled]="!checkEditRemove"
							matTooltip="Редактировать">
							<mat-icon svgIcon="pencil"></mat-icon>
						</button>
					</span>
					<span [matTooltip]="checkEditRemove ? null : 'Удаление недоступно' ">
						<button  mat-icon-button
							(click)="delete(item); $event.stopPropagation()"
							[disabled]="!checkEditRemove"
							matTooltip="Удалить">
							<mat-icon svgIcon="delete-outline"></mat-icon>
						</button>
					</span>
				</td>
			</ng-container>

			<ng-container matColumnDef="noRecord">
				<td mat-footer-cell *matFooterCellDef [colSpan]="columnsToDisplay.length" ><i>ИД не найдено</i></td>
			</ng-container>

			<!-- content rows -->
			<tr mat-header-row *matHeaderRowDef="columnsToDisplay; sticky: false"></tr>
			<tr class="table-row" mat-row *matRowDef="let item; columns: columnsToDisplay" [routerLink]="['../../achievement', item.id]"></tr>
			<tr mat-footer-row *matFooterRowDef="['noRecord']" [hidden]="achievements?.length !== 0"></tr>


		</table>
		<mat-paginator  [length]="total"
			[pageIndex]="params.page - 1"
			[pageSize]="params.limit"
			(page)="pageEvent.next($event)"
			[pageSizeOptions]="[5, 10, 15, 20]"
			showFirstLastButtons >
		</mat-paginator>
	</div>




</section>
